### Method

# St Button set_label

#### Declaration [src]

    void
    st_button_set_label (
      StButton* button,
      const gchar* text
    )

#### Description [src]

Sets the text displayed on the button.

Sets property | `St.Button:label`

#### Parameters

`text`

  Type: `const gchar*`

  Text to set the label to.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.